Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
LineNodePath Class Reference
Inheritance diagram for LineNodePath:

## Public Member Functions
| __init__ (self, parent=None, name=None, thickness=1.0, colorVec=VBase4(1))
| create (self, frameAccurate=0)
| drawArrow (self, sv, ev, arrowAngle, arrowLength)
| drawArrow2d (self, sv, ev, arrowAngle, arrowLength)
| drawLines (self, lineList)
| drawTo (self, *_args)
| getCurrentPosition (self)
| getNumVertices (self)
| getVertex (self, index)
| getVertexColor (self)
| isEmpty (self)
| moveTo (self, *_args)
| reset (self)
| setColor (self, *_args)
| setThickness (self, thickness)
| setVertex (self, *_args)
| setVertexColor (self, vertex, *_args)

## Public Attributes
| lineNode = GeomNode("lineNode")

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | parent = None,
|  |  | name = None,
|  |  | thickness = 1.0,
|  |  | colorVec = VBase4(1) )

## Member Function Documentation

## ◆ create()

create | ( |  | self,
|  |  | frameAccurate = 0 )

## ◆ drawArrow()

drawArrow | ( |  | self,
|  |  | sv,
|  |  | ev,
|  |  | arrowAngle,
|  |  | arrowLength )

    Do the work of moving the cursor around to draw an arrow from
    sv to ev. Hack: the arrows take the z value of the end point

## ◆ drawArrow2d()

drawArrow2d | ( |  | self,
|  |  | sv,
|  |  | ev,
|  |  | arrowAngle,
|  |  | arrowLength )

    Do the work of moving the cursor around to draw an arrow from
    sv to ev. Hack: the arrows take the z value of the end point

## ◆ drawLines()

drawLines | ( |  | self,
|  |  | lineList )

    Given a list of lists of points, draw a separate line for each list

## ◆ drawTo()

drawTo | ( |  | self,
|  | * | _args )

## ◆ getCurrentPosition()

getCurrentPosition | ( |  | self | ) |

## ◆ getNumVertices()

getNumVertices | ( |  | self | ) |

## ◆ getVertex()

getVertex | ( |  | self,
|  |  | index )

## ◆ getVertexColor()

getVertexColor | ( |  | self | ) |

## ◆ isEmpty()

isEmpty | ( |  | self | ) |

## ◆ moveTo()

moveTo | ( |  | self,
|  | * | _args )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ setColor()

setColor | ( |  | self,
|  | * | _args )

## ◆ setThickness()

setThickness | ( |  | self,
|  |  | thickness )

## ◆ setVertex()

setVertex | ( |  | self,
|  | * | _args )

## ◆ setVertexColor()

setVertexColor | ( |  | self,
|  |  | vertex,
|  | * | _args )

## Member Data Documentation

## ◆ lineNode

lineNode = GeomNode("lineNode")